/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/* read the http.cfg and store the values into the hash tables
 */

/* $Id: read_config.h,v 1.3 2001/03/01 16:04:10 glauschwuffel Exp $
 *
 * $Log: read_config.h,v $
 * Revision 1.3  2001/03/01 16:04:10  glauschwuffel
 * made most of the functions static (only read_config is exported).
 * adapted sources to use symbolic constants OKAY and FAILURE.
 * The config file is now closed after it has been parsed :)
 *
 * read_open now prints the errno if fopen() fails.
 *
 * Revision 1.2  2000/03/07 15:06:57  goldbach
 * added GPL info
 *
 * Revision 1.1  1999/04/28 09:18:41  gellert
 * added the modules to read in the config file and place the
 * tags and attributes into a hash table.
 *
 */

#ifndef __READ_CONFIG__
#define __READ_CONFIG__

#define	MAX_STRING_LENGTH	512

void read_config(char*);

#endif
