/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Id: cfglists.h,v 1.3 2000/06/21 19:00:03 glauschwuffel Exp $
 *
 * $Log: cfglists.h,v $
 * Revision 1.3  2000/06/21 19:00:03  glauschwuffel
 * small patch for the test suite and a minor cleanup of log
 * messages
 *
 * Revision 1.2  2000/04/24 21:22:47  gellert
 * fiddled around with inet address. now client_allowed works on linux
 * and solaris.
 *
 * Revision 1.1  2000/04/24 19:44:34  gellert
 * Added new feature: clients entry in httpf.cfg. Only configured
 * clients are allowed to connect to httpf.
 * The handling of the lists of protocols and the lists
 * of allowed clients are now handled in cfglists.c
 *
 */

#ifndef __CFGLISTS__
#define __CFGLISTS__

#include  <netinet/in.h>
#include  "mythreads.h"

int process_protos(char *);
int proto_allowed(char*,TCT*);

int process_clients(char *);
int client_allowed(uint32_t);

#endif

