#! /bin/bash
SERVERDIR=httpf
TESTDIR=../test

if ! test -a ${TESTDIR}/${1}.expect; then
  echo Expected file ${TESTDIR}/${1}.expect missing
  exit 1
fi;

get.sh ${SERVERDIR}/${1} ${2} >${TESTDIR}/tmp.compare

if ! test -s ${TESTDIR}/tmp.compare; then
  echo No answer from proxy. This is a severe error.
  exit 1
fi;

echo "" >>${TESTDIR}/tmp.compare
cat ${TESTDIR}/tmp.compare|strip_header.sh >${TESTDIR}/${1}.result
cat ${TESTDIR}/httpf_id ${TESTDIR}/${1}.expect |diff -b -B -w ${TESTDIR}/${1}.result -

#rm ${TESTDIR}/${1}.result
rm ${TESTDIR}/tmp.compare
