#! /bin/sh
#
# Create empty file (containing just a newline) in test
# directory and get it via the proxy.
# Remove the newline and store the remainder in
# the file 'server.header'.
# This is always at the start of each response.
SERVERDIR=httpf
TESTDIR=../test
FILE=${SERVERDIR}/empty.html

echo Creating dummy file ${TESTDIR}/empty.html

# send newline to buffer. Otherwise the proxy won't insert
# it's id since the body is empty.
echo "" >${TESTDIR}/empty.html
get.sh ${SERVERDIR}/empty.html 1080 >${TESTDIR}/empty.response
size=`wc -c ${TESTDIR}/empty.response |cut -b-8`
idsize=`wc -c ${TESTDIR}/httpf_id |cut -b-8`
let size=size-1-idsize
echo $size >${TESTDIR}/server.header.size
echo Size of constant document header is ${size}.
head -c${size} ${TESTDIR}/empty.response >${TESTDIR}/server.header
rm ${TESTDIR}/empty.response
rm ${TESTDIR}/empty.html
rm ${TESTDIR}/server.header
